aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/kconfig/check-pkgconfig.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/kconfig/check-pkgconfig.sh')
-rw-r--r--scripts/kconfig/check-pkgconfig.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/kconfig/check-pkgconfig.sh b/scripts/kconfig/check-pkgconfig.sh
new file mode 100644
index 000000000000..7a1c40bfb58c
--- /dev/null
+++ b/scripts/kconfig/check-pkgconfig.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0
+# Check for pkg-config presence
+
+if [ -z $(command -v pkg-config) ]; then
+ echo "'make *config' requires 'pkg-config'. Please install it." 1>&2
+ exit 1
+fi